function mono2stereo(Filename)
%----------------------------------------------
% STEREO WAV FILE INTO MONO FILE CONVERSION
% Usage: 
% mono2stereo('urfilename.wav');
% Creates only two channel output wav files
%----------------------------------------------
    if(nargin == 0)
        error('No input');
    end
    try
     [AudioData,Fs,nBits] = wavread(Filename);
    catch
        error('Cant read input wav file');
    end
     index_AudioData = size(AudioData);
     index = index_AudioData;
    if(index ~= 1)
        error('This is not a mono file');
    end
    Audio_data_stereo(:,1) = AudioData; % side1
    Audio_data_stereo(:,2) = AudioData; % side2
    ii = findstr(Filename,'.wav');
    newname = [Filename(1:ii-1),'_stereo.wav'];
    %wavwrite(Audio_data_stereo,Fs,nBits,[Filename,'_stereo']);
    wavwrite(Audio_data_stereo,Fs,nBits,newname);
    disp(['WAV file ',newname, ...
     ' is generated in current working directory']);
end 
